/* ==================================================================== */
/* =============================== LOGIN ============================== */
/* ==================================================================== */

.login-container {
	height: 100vh;
	width: 100%;

	display: flex;
	align-items: center;
	justify-content: center;
	gap: var(--size-l);

	overflow: hidden;
}

.login-container::before {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: url(../img/login-bg.webp) no-repeat center center/cover;
}

.login-container > .login-blur {
	content: "";
	position: absolute;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	backdrop-filter: blur(5px);
	background: rgba(0,0,0,0.5);
	z-index: 1;
}

.login-logo {
	position: absolute;
	max-width: 180px;
	top: var(--size-l);
	left: var(--size-l);
	z-index: 1;
}

.form-login {
	width: 350px;
	padding: var(--size-l);

	display: flex;
	flex-direction: column;
	row-gap: var(--size-m);

	border-radius: var(--radius-s);
	background: #FFFFFF;
	z-index: 2;
}

.form-login-title {
	font-size: 1.2rem;
	font-weight: 500;
	text-align: center;
}

.login-hint-panel {
	width: 350px;
	padding: var(--size-l);

	display: flex;
	flex-direction: column;
	row-gap: var(--size-m);

	border-radius: var(--radius-s);
	background: #FFFFFF;
	z-index: 2;
}

.login-hint-title {
	font-size: 1.2rem;
	font-weight: 500;
	text-align: center;
}

.login-hint-content {
	display: flex;
	flex-direction: column;
	row-gap: var(--size-m);
}

.login-hint-row {
	display: flex;
	flex-direction: column;
	row-gap: var(--size-m);
}

.login-hint-header {
	width: 100%;
	display: flex;
}

.login-hint-header > span {
	width: 100%;

	font-weight: 500;
}

.login-hint-items {
	display: flex;
	align-items: center;
	gap: var(--size-m);
}

.login-hint-item {
	width: 100%;
}

.login-hint-item > .btn {
	width: 100%;
	padding: var(--size-s);
	font-size: 2rem;
}

.button_eye {
	position:absolute;
	height:100%;
	width:45px;
	right:0;
	bottom : 0px;
	background:transparent;
	border:none;
}

.div_eye {
	position:relative;

}

.eye_img {

	height:30px;
	padding-top:7px;
	opacity: 0.6;
}

/* ==================================================================== */
/* ========================== DOUBLE FACTEUR ========================== */
/* ==================================================================== */

.double-facteur-config {
	padding: var(--size-m);

	border: 1px solid var(--clr-surface-a20);
	border-radius: var(--radius-s);
	
	background: var(--clr-surface-a0);
}